evhtp_connection_t Struct Reference

`#include <evhtp.h>`

## Data Fields

evhtp_t * | htp
evbase_t * | evbase
evbev_t * | bev
evthr_t * | thread
evhtp_ssl_t * | ssl
evhtp_hooks_t * | hooks
htparser * | parser
event_t * | resume_ev
struct sockaddr * | saddr
struct timeval | recv_timeo
| conn read timeouts (overrides global) More...
struct timeval | send_timeo
| conn write timeouts (overrides global) More...
evutil_socket_t | sock
evhtp_request_t * | request
| the request currently being processed More...
uint64_t | max_body_size
uint64_t | body_bytes_read
uint64_t | num_requests
evhtp_type | type
| server or client More...
uint8_t | error: 1
uint8_t | owner: 1
| set to 1 if this structure owns the bufferevent More...
uint8_t | vhost_via_sni: 1
| set to 1 if the vhost was found via SSL SNI More...
uint8_t | paused: 1
| this connection has been marked as paused More...
uint8_t | connected: 1
| client specific - set after successful connection More...
uint8_t | waiting: 1
| used to make sure resuming happens AFTER sending a reply More...
uint8_t | free_connection: 1
uint8_t | keepalive: 1
| set to 1 after the first request has been processed and the connection is kept open More...
struct evbuffer * | scratch_buf
| always zero'd out after used More...

## Detailed Description

Definition at line 457 of file evhtp.h.

## Field Documentation

evbev_t* evhtp_connection_t::bev

Definition at line 460 of file evhtp.h.

uint64_t evhtp_connection_t::body_bytes_read

Definition at line 476 of file evhtp.h.

uint8_t evhtp_connection_t::connected

client specific - set after successful connection

Definition at line 479 of file evhtp.h.

uint8_t evhtp_connection_t::error

Definition at line 479 of file evhtp.h.

evbase_t* evhtp_connection_t::evbase

Definition at line 459 of file evhtp.h.

uint8_t evhtp_connection_t::free_connection

Definition at line 479 of file evhtp.h.

evhtp_hooks_t* evhtp_connection_t::hooks

Definition at line 467 of file evhtp.h.

evhtp_t* evhtp_connection_t::htp

Definition at line 458 of file evhtp.h.

uint8_t evhtp_connection_t::keepalive

set to 1 after the first request has been processed and the connection is kept open

Definition at line 479 of file evhtp.h.

uint64_t evhtp_connection_t::max_body_size

Definition at line 475 of file evhtp.h.

uint64_t evhtp_connection_t::num_requests

Definition at line 477 of file evhtp.h.

uint8_t evhtp_connection_t::owner

set to 1 if this structure owns the bufferevent

Definition at line 479 of file evhtp.h.

htparser* evhtp_connection_t::parser

Definition at line 468 of file evhtp.h.

uint8_t evhtp_connection_t::paused

this connection has been marked as paused

Definition at line 479 of file evhtp.h.

struct timeval evhtp_connection_t::recv_timeo

conn read timeouts (overrides global)

Definition at line 471 of file evhtp.h.

evhtp_request_t* evhtp_connection_t::request

the request currently being processed

Definition at line 474 of file evhtp.h.

event_t* evhtp_connection_t::resume_ev

Definition at line 469 of file evhtp.h.

struct sockaddr* evhtp_connection_t::saddr

Definition at line 470 of file evhtp.h.

struct evbuffer* evhtp_connection_t::scratch_buf

always zero'd out after used

Definition at line 487 of file evhtp.h.

struct timeval evhtp_connection_t::send_timeo

conn write timeouts (overrides global)

Definition at line 472 of file evhtp.h.

evutil_socket_t evhtp_connection_t::sock

Definition at line 473 of file evhtp.h.

evhtp_ssl_t* evhtp_connection_t::ssl

Definition at line 465 of file evhtp.h.

evthr_t* evhtp_connection_t::thread

Definition at line 462 of file evhtp.h.

evhtp_type evhtp_connection_t::type

server or client

Definition at line 478 of file evhtp.h.

uint8_t evhtp_connection_t::vhost_via_sni

set to 1 if the vhost was found via SSL SNI

Definition at line 479 of file evhtp.h.

uint8_t evhtp_connection_t::waiting

used to make sure resuming happens AFTER sending a reply

Definition at line 479 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h